uniform sampler2DRect sceneTexture;
uniform sampler2DRect intensityMapTexture;

varying vec2 texCoord;

void main(void)
{
	vec4 blendColor = texture2DRect(intensityMapTexture, gl_FragCoord);
	
	gl_FragColor = blendColor * texture2DRect( sceneTexture, texCoord) ;
}